maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "toli kuznets (JIRA)" <j...@codehaus.org>
Subject [jira] Updated: (MIDEA-121) Allow users to specify Project Language Level that is generated with plugin
Date Wed, 08 Apr 2009 23:15:19 GMT

     [ http://jira.codehaus.org/browse/MIDEA-121?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

toli kuznets updated MIDEA-121:
-------------------------------

    Attachment: screenshot-1.jpg

> Allow users to specify Project Language Level that is generated with plugin
> ---------------------------------------------------------------------------
>
>                 Key: MIDEA-121
>                 URL: http://jira.codehaus.org/browse/MIDEA-121
>             Project: Maven 2.x IDEA Plugin
>          Issue Type: Improvement
>         Environment: Plugin version 2.2, IntellijJ 8.1
>            Reporter: toli kuznets
>         Attachments: screenshot-1.jpg, screenshot-1.jpg
>
>
> When i run mvn idea:idea plugin, the projects are generate .ipr files with Project Language
Level set to 5.0
> Is there a way to configure the plugin to have that be set to 6.0 instead?
> It seems that you need this attribute in the <component> declaration: {{languageLevel="JDK_1_6"}}
> {code}
>  <component name="ProjectRootManager" version="2" languageLevel="JDK_1_6" assert-keyword="true"
jdk-15="true" 
> project-jdk-name="1.6" project-jdk-type="JavaSDK" />
> {code}
> This is what i have after i set the language level manually, see screenshot. This is
in IntelliJ 8.1

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://jira.codehaus.org/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message